Take the 2-minute tour ×
Arqade is a question and answer site for passionate videogamers on all platforms. It's 100% free, no registration required.

I'm a developer. When I have some spare time, I like to play the occasional game. Crysis 2 won't run if I have Visual Studio or Process Explorer running – which I do at all times. Sometimes I have a debugging session running; I can't just close VS without losing a lot of state.

What (legal) options are available to stop this madness?

share|improve this question
1  
I would recommend not combining your development machine with your gaming machine as much as possible. This is not unique to Crysis 2. –  Resorath Jul 9 '12 at 22:01
1  
out of curiousity, what actually happens when you try to run Cry2 with VS open? –  warsong Jul 9 '12 at 22:09
    
@warsong I was told "A required security module cannot be activated" and the game wouldn't start. But see my answer. –  romkyns Jul 10 '12 at 21:00

2 Answers 2

This site cannot give you legal advice. However, it may be legal in your jurisdiction to download a DRM-free copy of the game (e.g. via BitTorrent) since you already own the game. It may still be legal even if the EULA claims that you can’t do it (many sections in EULAs do not have force of law in many jurisdictions). You will have to research the legality of this option within your jurisdiction yourself.

share|improve this answer
    
Timwi please don't delete your answer and repost it because you were downvoted. You can edit your answer to help correct issues, editing your post allows people to change their vote if they choose. –  Resorath Jul 9 '12 at 21:47
    
If anyone has an issue with this answer, please use our Arqade Meta site, or our Arqade Chat, to voice it and to discuss it further. –  Oak Jul 10 '12 at 5:22
    
@Resorath: Unfortunately people don’t actually change their votes. –  Timwi Jul 19 '12 at 11:28
up vote 4 down vote accepted

Upgrading to Crysis 2 v1.9 and installing the DX11 tessellation patch has enabled me to play regardless of what else I have running. I'm not sure which of these two installs did it, but I suspect it was the v1.9 upgrade.

share|improve this answer
    
@kotekzot thanks for the reminder; when I first posted it, I wasn't allowed to mark it accepted, presumably to prevent some sort of abuse... –  romkyns Jul 17 '12 at 14:56

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.